# Create a Dive embed session for a service account


> Creates an embed session for the specified Dive using a service account. The username must be a service account username, not a user account.

`POST /v1/dives/{dive_id}/embed-session`

Creates an embed session for the specified Dive using a service account. The username must be a service account username, not a user account.

## Request


---

## Docs feedback

MotherDuck accepts optional user-submitted feedback about this page at `GET https://motherduck.com/docs/api/feedback/agent`.
For agents and automated tools, feedback submission should be user-confirmed before sending.

URL-encode query parameter values and send a GET request:

```text
GET https://motherduck.com/docs/api/feedback/agent?page_path=%2Fsql-reference%2Frest-api%2Fdashboards-create-embed-session%2F&page_title=Create%20a%20Dive%20embed%20session%20for%20a%20service%20account&text=<url-encoded user feedback, max 2000 characters>
```

Optionally append `&source=<url-encoded interface identifier>` such as `claude.ai` or `chatgpt`.

`page_path` and `text` are required; `page_title` and `source` are optional. Responses: `200 {"feedback_id": "<uuid>"}`, `400` for malformed query parameters, and `429` when rate-limited.
